Bullet Collision Detection & Physics Library: Bullet::btTypedConstraintDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btTypedConstraintDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btTypedConstraintDoubleData:
[legend]

## Public Attributes
btRigidBodyDoubleData * | m_rbA
btRigidBodyDoubleData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
double | m_appliedImpulse
double | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
double | m_breakingImpulseThreshold
int | m_isEnabled
char | padding [4]

## Detailed Description

Definition at line 891 of file bullet.h.

## Member Data Documentation

## ◆ m_appliedImpulse

double Bullet::btTypedConstraintDoubleData::m_appliedImpulse

Definition at line 901 of file bullet.h.

## ◆ m_breakingImpulseThreshold

double Bullet::btTypedConstraintDoubleData::m_breakingImpulseThreshold

Definition at line 905 of file bullet.h.

## ◆ m_dbgDrawSize

double Bullet::btTypedConstraintDoubleData::m_dbgDrawSize

Definition at line 902 of file bullet.h.

## ◆ m_disableCollisionsBetweenLinkedBodies

int Bullet::btTypedConstraintDoubleData::m_disableCollisionsBetweenLinkedBodies

Definition at line 903 of file bullet.h.

## ◆ m_isEnabled

int Bullet::btTypedConstraintDoubleData::m_isEnabled

Definition at line 906 of file bullet.h.

## ◆ m_name

char* Bullet::btTypedConstraintDoubleData::m_name

Definition at line 896 of file bullet.h.

## ◆ m_needsFeedback

int Bullet::btTypedConstraintDoubleData::m_needsFeedback

Definition at line 900 of file bullet.h.

## ◆ m_objectType

int Bullet::btTypedConstraintDoubleData::m_objectType

Definition at line 897 of file bullet.h.

## ◆ m_overrideNumSolverIterations

int Bullet::btTypedConstraintDoubleData::m_overrideNumSolverIterations

Definition at line 904 of file bullet.h.

## ◆ m_rbA

btRigidBodyDoubleData* Bullet::btTypedConstraintDoubleData::m_rbA

Definition at line 894 of file bullet.h.

## ◆ m_rbB

btRigidBodyDoubleData* Bullet::btTypedConstraintDoubleData::m_rbB

Definition at line 895 of file bullet.h.

## ◆ m_userConstraintId

int Bullet::btTypedConstraintDoubleData::m_userConstraintId

Definition at line 899 of file bullet.h.

## ◆ m_userConstraintType

int Bullet::btTypedConstraintDoubleData::m_userConstraintType

Definition at line 898 of file bullet.h.

## ◆ padding

char Bullet::btTypedConstraintDoubleData::padding[4]

Definition at line 907 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h